summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-3.7.0.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2023-06-22 06:57:56 +0200
committerMichał Górny <mgorny@gentoo.org>2023-06-22 07:08:10 +0200
commit11e4d6b08f940ed06e89968507247334bb0be801 (patch)
treeb8b477994ec089f1055fd8bc701c1bc4d2a4d12e /dev-python/python-utils/python-utils-3.7.0.ebuild
parenta5c1aedaaf4cc6c4532959a1876c8d7b108a0567 (diff)
downloadgentoo-11e4d6b08f940ed06e89968507247334bb0be801.tar.gz
gentoo-11e4d6b08f940ed06e89968507247334bb0be801.tar.bz2
gentoo-11e4d6b08f940ed06e89968507247334bb0be801.zip
dev-python/python-utils: Bump to 3.7.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/python-utils/python-utils-3.7.0.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-3.7.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-3.7.0.ebuild b/dev-python/python-utils/python-utils-3.7.0.ebuild
new file mode 100644
index 000000000000..79f64316b1e5
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.7.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}